Bug 202972 - Kernel 2.4.21-47 Panics when loading IPMI modules
Kernel 2.4.21-47 Panics when loading IPMI modules
Status: CLOSED DUPLICATE of bug 204999
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 11:38 EDT by Phil Bettinson
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 11:14:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Bettinson 2006-08-17 11:38:06 EDT
Description of problem:
Kernel Panic (2.4.21-47) hen loading IPMI modules

Version-Release number of selected component (if applicable):
kernel-smp 2.4.21-47

How reproducible:
Every reboot.

Steps to Reproduce:
1. install IPMItools,
2. update kernel,
3. Reboot
  
Actual results:


Expected results:

For the kernel not to panic.

Additional info:

The panic occours on a Sun v40z with 4 CPU's and 20Gb of Ram. The chips are all
64bit AMD. Here's the output from the console 

Starting networker:  starting NetWorker daemons:
 nsrexecd
[  OK  ]
Starting Red Hat Network Daemon: [  OK  ]
Using /lib/modules/2.4.21-47.ELsmp/kernel/drivers/char/ipmi/ipmi_msghandler.o
Using /lib/modules/2.4.21-47.ELsmp/kernel/drivers/char/ipmi/ipmi_devintf.o
Using /lib/modules/2.4.21-47.ELsmp/kernel/drivers/char/ipmi/ipmi_kcs_drv.o
NMI Watchdog detected LOCKUP on CPU3, rip ffffffff802bbe79, registers:
CPU 3
Pid: 0, comm: swapper Not tainted
RIP: 0010:[<ffffffff802bbe79>]{__read_lock_failed+5}
RSP: 0018:000001001e473dd0  EFLAGS: 00000097
RAX: 00000104120ff204 RBX: 00000101ff2f81c0 RCX: 0000000000000000
RDX: 000000000000000c RSI: 00000104fffaf000 RDI: 00000104120ff200
RBP: 00000104fffaf000 R08: f200000000004200 R09: 000000000000000f
R10: 0000000000000001 R11: 0000000000000001 R12: 00000104120ff200
R13: 0000000000000003 R14: 0000000000000000 R15: ffffffff804a8780
FS:  0000002a959c44c0(0000) GS:ffffffff805e8980(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 00000000005648a8 CR3: 000000001e65a000 CR4: 00000000000006e0

Call Trace:  <EOE>
[<ffffffffa00e2ec7>]{:ipmi_msghandler:.text.lock.ipmi_msghandler+534}
       [<ffffffffa00e9a90>]{:ipmi_kcs_drv:deliver_recv_msg+16}
       [<ffffffffa00e9ec0>]{:ipmi_kcs_drv:handle_transaction_done+384}
       [<ffffffffa00e972e>]{:ipmi_kcs_drv:kcs_event+1022}
       [<ffffffffa00e9fa4>]{:ipmi_kcs_drv:kcs_event_handler+68}
       [<ffffffffa00ea263>]{:ipmi_kcs_drv:kcs_timeout+83}
       [<ffffffff801310ac>]{timer_bh+684} [<ffffffff8012ba7f>]{bh_action+79}
       [<ffffffff8012b92b>]{tasklet_hi_action+139}
[<ffffffff8012b5fd>]{do_softirq+253}
       [<ffffffff801137a3>]{do_IRQ+339} [<ffffffff8010de20>]{default_idle+0}
       [<ffffffff8010de20>]{default_idle+0}
[<ffffffff80110857>]{common_interrupt+95}
        <EOI> [<ffffffff80120502>]{thread_return+0}
[<ffffffff8010de3e>]{default_idle+30}
       [<ffffffff8010de20>]{default_idle+0} [<ffffffff8010dec9>]{cpu_idle+73}

Process swapper (pid: 0, stackpage=1001e475000)
Stack: 000001001e473dd0 0000000000000018 0000000000000000 0000000000000000
       0000000000000000 0000000000000000 0000000000000000 0000000000000000
       0000000000000000 0000000000000000 0000000000000000 0000000000000000
       0000000000000000 0000000000000000 0000000000000000 0000000000000000
       0000000000000000 0000000000000000 0000000000000000 0000000000000000
       0000000000000000 0000000000000000 0000000000000000 0000000000000000
       0000000000000000 0000000000000000 0000000000000000 0000000000000000
       0000000000000000 0000000000000000 0000000000000000 0000000000000000
       0000000000000000 0000000000000000 0000000000000000 0000000000000000
       0000000000000000 0000000000000000 0000000000000000 0000000000000000
Call Trace:  <EOE>
[<ffffffffa00e2ec7>]{:ipmi_msghandler:.text.lock.ipmi_msghandler+534}
       [<ffffffffa00e9a90>]{:ipmi_kcs_drv:deliver_recv_msg+16}
       [<ffffffffa00e9ec0>]{:ipmi_kcs_drv:handle_transaction_done+384}
       [<ffffffffa00e972e>]{:ipmi_kcs_drv:kcs_event+1022}
       [<ffffffffa00e9fa4>]{:ipmi_kcs_drv:kcs_event_handler+68}
       [<ffffffffa00ea263>]{:ipmi_kcs_drv:kcs_timeout+83}
       [<ffffffff801310ac>]{timer_bh+684} [<ffffffff8012ba7f>]{bh_action+79}
       [<ffffffff8012b92b>]{tasklet_hi_action+139}
[<ffffffff8012b5fd>]{do_softirq+253}
       [<ffffffff801137a3>]{do_IRQ+339} [<ffffffff8010de20>]{default_idle+0}
       [<ffffffff8010de20>]{default_idle+0}
[<ffffffff80110857>]{common_interrupt+95}
        <EOI> [<ffffffff80120502>]{thread_return+0}
[<ffffffff8010de3e>]{default_idle+30}
       [<ffffffff8010de20>]{default_idle+0} [<ffffffff8010dec9>]{cpu_idle+73}


Code: 83 38 01 78 f9 f0 ff 08 0f 88 ed ff ff ff c3 90 90 90 90 90
Comment 1 David Huff 2006-09-05 11:14:10 EDT
The 'ipmi_kcs_drv' module is deprecated and anyone
who used to use it should start using 'ipmi_si_drv' instead.  It has been
reported that the "si driver" is not only compatible, but appears to provide a
performance advantage over the "kcs" driver.

*** This bug has been marked as a duplicate of 204999 ***

Note You need to log in before you can comment on or make changes to this bug.